Comments
curl --request GET \
--url https://api.sociavault.com/v1/scrape/instagram/comments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/instagram/comments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/instagram/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"comments": {
"0": {
"id": "18310684165172235",
"text": "Love this!! What a wonderful lady 😍 and Rocco looks like the perfect gentleman to accompany this lady round the park. And are u even talking to an American if they dont end the chat with \"enjoy your vacation\" ❤️🙌😂",
"created_at": "2025-09-16T18:09:34.000Z",
"user": {
"is_verified": false,
"id": "571758797",
"pk": "571758797",
"is_unpublished": null,
"profile_pic_url": "https://scontent-ord5-2.cdninstagram.com/v/t51.2885-19/572484665_18536731177046798_3082891019645637815_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-ord5-2.cdninstagram.com&_nc_cat=102&_nc_oc=Q6cZ2QHwD3jRssMvvcvdpm-yxUxZt035fZ2wTmQiLzP2In-sXVzT-1oy8hOVx3EH_zSfxmQ&_nc_ohc=r_SZ8MmILh0Q7kNvwEnOzeH&_nc_gid=oBuK8koLyy-tglzaGXao7w&edm=AKp6CbIBAAAA&ccb=7-5&oh=00_AftVvuJ4RpjBfiE86UIaH6WIFfl0A_rM0v-xRH8hCspPIw&oe=698ED76F&_nc_sid=d62176",
"username": "amybeard1980",
"fbid_v2": "17841401403918933"
}
}
},
"cursor": "eyJjYWNoZWRfY29tbWVudHNfY3Vyc29yIjogIjE4MDQ5Mzk4MTIyMzA2NzIzIiwgImJpZmlsdGVyX3Rva2VuIjogIktIa0FnNlprR1o5WVFBRGx2VTRtdVZKQUFJWGZ6SDItTlVBQUJfZURSZ0plUVFBSDVZNnZMcUFfQUF0c1FtRjREVUVBem1hYnJuRXhRQUF3VUwtbU1VSkFBSFVaaE5TSjFEOEFkcFpnWXc0aVFBQ1lWQUxvUldSQUFCaXdsbXQtSlVBQVd5NnhVYUJEUUFBY1ctM1RhY0VfQUI4Q0FWa29HMEFBQUE9PSJ9"
},
"credits_used": 1,
"endpoint": "instagram/comments"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Instagram
Comments
Get comments from an Instagram post or reel, paginated at ~15 per page. Use the cursor from each response to load more. Note: Instagram’s displayed comment count includes replies and hidden comments — this endpoint returns top-level visible comments only, so the total may be lower than what is shown on the post.
GET
/
v1
/
scrape
/
instagram
/
comments
Comments
💳 1 credit per request — returns ~15 comments per page. Use
cursor to paginate.cursor parameter from the response to get the next page of comments.Authorizations
Query Parameters
Instagram post or reel URL
Example:
"https://www.instagram.com/reel/DOq6eV6iIgD"
Cursor for pagination. Get 'cursor' from previous response to fetch more comments.
Example:
"eyJjYWNoZWRfY29tbWVud..."
Response
Successful response
Key Response Fields:
data.comments[0].id: Unique comment IDdata.comments[0].text: Comment text contentdata.comments[0].created_at: ISO timestamp of when the comment was posteddata.comments[0].user.username: Commenter's Instagram usernamedata.comments[0].user.profile_pic_url: Commenter's profile picture URLdata.comments[0].user.is_verified: Whether the commenter is a verified accountdata.cursor: Pagination cursor — pass to thecursorparameter to fetch the next page